<?php

namespace Larayellow\Yellowpage\Forms;

use Litepie\Form\FormInterpreter;

class Yellowpage extends FormInterpreter
{

    /**
     * Sets the form and form elements.
     * @return null.
     */
    public static function setAttributes()
    {

        self::$urls = [
            'new' => [
                'url' => guard_url('yellowpage/yellowpage/new'),
                'method' => 'GET',
            ],
            'create' => [
                'url' => guard_url('yellowpage/yellowpage/create'),
                'method' => 'GET',
            ],
            'store' => [
                'url' => guard_url('yellowpage/yellowpage'),
                'method' => 'POST',
            ],
            'update' => [
                'url' => guard_url('yellowpage/yellowpage'),
                'method' => 'PUT',
            ],
            'list' => [
                'url' => guard_url('yellowpage/yellowpage'),
                'method' => 'GET',
            ],
            'delete' => [
                'url' => guard_url('yellowpage/yellowpage'),
                'method' => 'DELETE',
            ],
        ];
        self::$search = [
            'name' => [
                "type" => 'text',
                "label" => trans('yellowpage::yellowpage.label.name'),
                "placeholder" => trans('yellowpage::yellowpage.placeholder.name'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "4",
                "roles" => [],
            ]
        ];
        self::$orderBy = [
            'created_at' => trans('yellowpage::yellowpage.label.created_at'),
            'name' => trans('yellowpage::yellowpage.label.name'),
            'status' => trans('yellowpage::yellowpage.label.status'),
        ];
        self::$groups = [
            'main' => trans('yellowpage::yellowpage.groups.main'),
            'details' => trans('yellowpage::yellowpage.groups.details'),
            'images' => trans('yellowpage::yellowpage.groups.images'),
            'settings' => trans('yellowpage::yellowpage.groups.settings'),
        ];
        self::$list = [
            [
                'key' => "ref",
                'label' => trans('yellowpage::yellowpage.label.ref'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "id",
                'label' => trans('yellowpage::yellowpage.label.id'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "name",
                'label' => trans('yellowpage::yellowpage.label.name'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "status",
                'label' => trans('yellowpage::yellowpage.label.status'),
                'sortable' => 'true',
                'roles' => [],
            ],
        ];
        self::$fields = [
                'title' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('yellowpage::yellowpage.label.title'),
                "placeholder" => trans('yellowpage::yellowpage.placeholder.title'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'category_id' => [
                "element" => 'select',
                "type" => 'select',
                "label" => trans('yellowpage::yellowpage.label.category_id'),
                "placeholder" => trans('yellowpage::yellowpage.placeholder.category_id'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'subcategory_id' => [
                "element" => 'select',
                "type" => 'select',
                "label" => trans('yellowpage::yellowpage.label.subcategory_id'),
                "placeholder" => trans('yellowpage::yellowpage.placeholder.subcategory_id'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'city_id' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => trans('yellowpage::yellowpage.label.city_id'),
                "placeholder" => trans('yellowpage::yellowpage.placeholder.city_id'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'district_id' => [
                "element" => 'select',
                "type" => 'select',
                "label" => trans('yellowpage::yellowpage.label.district_id'),
                "placeholder" => trans('yellowpage::yellowpage.placeholder.district_id'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'state_id' => [
                "element" => 'select',
                "type" => 'select',
                "label" => trans('yellowpage::yellowpage.label.state_id'),
                "placeholder" => trans('yellowpage::yellowpage.placeholder.state_id'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'country_id' => [
                "element" => 'select',
                "type" => 'select',
                "label" => trans('yellowpage::yellowpage.label.country_id'),
                "placeholder" => trans('yellowpage::yellowpage.placeholder.country_id'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'zipcode' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('yellowpage::yellowpage.label.zipcode'),
                "placeholder" => trans('yellowpage::yellowpage.placeholder.zipcode'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'detail' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('yellowpage::yellowpage.label.detail'),
                "placeholder" => trans('yellowpage::yellowpage.placeholder.detail'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'location' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('yellowpage::yellowpage.label.location'),
                "placeholder" => trans('yellowpage::yellowpage.placeholder.location'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'lattitude' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('yellowpage::yellowpage.label.lattitude'),
                "placeholder" => trans('yellowpage::yellowpage.placeholder.lattitude'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'longitude' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('yellowpage::yellowpage.label.longitude'),
                "placeholder" => trans('yellowpage::yellowpage.placeholder.longitude'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'phone' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => trans('yellowpage::yellowpage.label.phone'),
                "placeholder" => trans('yellowpage::yellowpage.placeholder.phone'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'website' => [
                "element" => 'url',
                "type" => 'url',
                "label" => trans('yellowpage::yellowpage.label.website'),
                "placeholder" => trans('yellowpage::yellowpage.placeholder.website'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'description' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('yellowpage::yellowpage.label.description'),
                "placeholder" => trans('yellowpage::yellowpage.placeholder.description'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'openig_hours' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('yellowpage::yellowpage.label.openig_hours'),
                "placeholder" => trans('yellowpage::yellowpage.placeholder.openig_hours'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'features' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('yellowpage::yellowpage.label.features'),
                "placeholder" => trans('yellowpage::yellowpage.placeholder.features'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'tags' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('yellowpage::yellowpage.label.tags'),
                "placeholder" => trans('yellowpage::yellowpage.placeholder.tags'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'yellopage_type' => [
                "element" => 'select',
                "type" => 'select',
                "label" => trans('yellowpage::yellowpage.label.yellopage_type'),
                "placeholder" => trans('yellowpage::yellowpage.placeholder.yellopage_type'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'images' => [
                "element" => 'file',
                "type" => 'images',
                "label" => trans('yellowpage::yellowpage.label.images'),
                "placeholder" => trans('yellowpage::yellowpage.placeholder.images'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ];

        return new static();
    }
}
